// 阿里云oss上传

import OSS from 'ali-oss';
import { getFileExt } from '@/utils/common';
import OssConfig from './config';

let client: any = null;
// 初始化oss
const initOss = () => {
  if (!client) client = new OSS(OssConfig.config);
};

export default {
  // 上传文件
  upload(file: Record<string, any>) {
    initOss();
    return new Promise(async (resolve, reject) => {
      try {
        // 上传到阿里云oss
        const res = await client.multipartUpload(Date.now() + '.' + getFileExt(file.name), file);
        resolve({
          format: getFileExt(file.name),
          name: file.name,
          url: OssConfig.preUrl + res.name,
          size: file.size,
        });
      } catch (error) {
        reject();
      }
    });
  },
  // 删除文件（传完整url，不是没有https的name，因为很多接口没有存name，只存url，所以统一使用url）
  async del(url: string) {
    initOss();
    await client.delete(url.replace(OssConfig.preUrl, ''));
  },
};
