import { reactive, readonly } from 'vue';
import Cookies from 'js-cookie';

export interface Product {
  status?: Record<string, any>;
}

const state = reactive<Product>({
  // 产品进度
  status: [
    {
      id: '',
      name: '产品进度',
    },
    {
      id: 295,
      name: '配置风控',
    },
    {
      id: 296,
      name: '待审批',
    },
    {
      id: 297,
      name: '审批通过',
    },
    {
      id: 298,
      name: '审批不通过',
    },
    {
      id: 299,
      name: '审批打回',
    },
  ],
});

export const productState = readonly(state);
// 专家委员会产品进度（去除配置风控）
export const getExpertStatus = (): Record<string, any>[] => {
  const newStatus = JSON.parse(JSON.stringify(state.status));
  newStatus.splice(1, 1);
  return newStatus;
};
// 返回产品进度名称
export const getStatus = (id: number | string): string => {
  return state.status.find((e) => e.id === id)?.name;
};
