import Cookies from 'js-cookie';

const SAND_ACCESS_TOKEN = 'sand-token';

export const getAccessToken = (): string | undefined => Cookies.get(SAND_ACCESS_TOKEN);
export const setAccessToken = (token: string): void => {
  Cookies.set(SAND_ACCESS_TOKEN, token);
};
export const removeAccessToken = (): void => Cookies.remove(SAND_ACCESS_TOKEN);
export const removeParam = (): void => {
  Cookies.remove('sand-classId');
  Cookies.remove('sand-cid');
  Cookies.remove('sand-assessmentId');
  Cookies.remove('sand-competitionId');
  Cookies.remove('sand-stageId');
  Cookies.remove('sand-teamId');
  Cookies.remove('sand-mallId');
  Cookies.remove('sand-endTime');
  Cookies.remove('sand-className');
  Cookies.remove('sand-startTime');
  Cookies.remove('sand-resultsDetails');
  Cookies.remove('sand-resultAnnouncementTime');
  Cookies.remove('sand-projectId');
  Cookies.remove('sand-systemId');
  Cookies.remove('sand-level');
  Cookies.remove('sand-submit');
};

export const getAuthHeaders = (): any => {
  return { token: getAccessToken() };
};
